#!/bin/bash
# Crontab script part of the Server starter/restarter and crash checker.
# DO NOT CHANGE THIS FILE UNLESS YOU KNOW WHAT YOU ARE DOING.

# Date code for autodownload.

versionc="07062010-2" # NEVER CHANGE THIS LINE OR AUTODOWNLOAD WILL BREAK.

. cfg/script.cfg # Configurarion call.

cd "$filesdir"

# Check if the script master.sh is running, and start it if it's not.

scriptp=`ps x | grep master.sh | grep "/bin/bash"`

if [ -z "$scriptp" ]; then

  echo "Script is down, starting/restarting it..."
  nohup ./master.sh & > /dev/null 2>&1
  echo "========================================================================"  

fi
